GET
  FILE='C:\FISH MERGED\Household ID and ICT.sav'.

WEIGHT
  BY rf .

if pond = '' pond = "2".
if steam = '' steam = "2".
if river = ' ' river = "2".
if lake = ' ' lake = "2".
if ocean = ' ' ocean = "2".
if other = ' ' other = "2".
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=pond steam river lake ocean other DISPLAY=DEFAULT
  /TABLE pond [COUNT F40.0] + steam [COUNT F40.0] + river [COUNT F40.0] +
 lake [COUNT F40.0] + ocean [COUNT F40.0] + other [COUNT F40.0]
  /CATEGORIES VARIABLES=pond steam river lake ocean other  EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 1 Distribution of households by btype of fishing sites '.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=pond steam river lake ocean other state
    DISPLAY=DEFAULT
  /TABLE state [COUNT F40.0] BY pond + steam + river +
  lake + ocean + other
  /CATEGORIES VARIABLES=pond steam river lake ocean other  EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 1 Distribution of households by btype of fishing sites '.

if sysmis(radioa) radioa =2.
if sysmis(telea) telea =2.
if sysmis(telfa) telfa =2.
if sysmis(telma) telma =2.
if sysmis(pca) pca =2.
if sysmis(intera) intera =2.
if sysmis(weba) weba =2.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=radioa telea telfa telma pca intera weba state
    DISPLAY=DEFAULT
  /TABLE state [COUNT F40.0] BY radioa + telea + telfa
 + telma + pca + intera + weba
  /CATEGORIES VARIABLES=radioa telea telfa telma pca intera weba 
  EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 18a Distribution of household by access to information and'+
 ' communication technology facility, 2006'.

if sysmis(radioo) radioo =2 .
if sysmis(teleo) teleo =2.
if sysmis(telefo) telefo =2.
if sysmis(telemo) telemo =2.
if sysmis(pco) pco =2.
if sysmis(intero) intero =2.
if sysmis(webo) webo =2.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=radioo teleo telefo telemo pco intero webo state
    DISPLAY=DEFAULT
  /TABLE state [COUNT F40.0] BY radioo + teleo + telefo
  + telemo + pco + intero + webo
  /CATEGORIES VARIABLES=radioo teleo telefo telemo pco intero webo 
  EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 18b Distribution of household by possessionof  information'+
 ' and communication technology facility, 2006'.


GET
  FILE='C:\FISH MERGED\Sources of Fish Input.sav'.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=mext agroc fscen coop lmkt others item
    DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY mext + agroc + fscen
 + coop + lmkt + others
  /CATEGORIES VARIABLES=mext agroc fscen coop lmkt others [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 2 Distribution of fish holdings by source of input,2006'.

GET
  FILE='C:\FISH MERGED\Employment in fishery.sav'.

compute wtot = sum (wma,wfe). 
compute utot = sum (uma,ufe). 
compute atot = sum (ama,afe). 
compute ptot = sum (pma,pfe). 
EXEC.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wma wfe uma ufe ama afe pma pfe item
    DISPLAY=DEFAULT
  /TABLE item [C] BY wma [SUM] + wfe [SUM] + uma [SUM] + ufe [SUM] + ama
  [SUM] + afe [SUM] + pma [SUM] + pfe [SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 3 Number of people engaged in fish farming by sex, 2006'.

USE ALL.
COMPUTE filter_$=(item = 1).
VARIABLE LABEL filter_$ 'item = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wma wfe uma ufe ama afe pma pfe item state
    DISPLAY=DEFAULT
  /TABLE state [C] BY wma [SUM] + wfe [SUM] + uma [SUM] + ufe [SUM] + ama
  [SUM] + afe [SUM] + pma [SUM] + pfe [SUM]
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 3a Number of people engaged in fish farming by sex(1st quarter), 2006'.

FILTER OFF.
USE ALL.
EXECUTE .
 
USE ALL.
COMPUTE filter_$=(item = 2).
VARIABLE LABEL filter_$ 'item = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wma wfe uma ufe ama afe pma pfe item state
    DISPLAY=DEFAULT
  /TABLE state [C] BY wma [SUM] + wfe [SUM] + uma [SUM] + ufe [SUM] + ama
  [SUM] + afe [SUM] + pma [SUM] + pfe [SUM]
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 3b Number of people engaged in fish farming by sex(2nd quarter), 2006'.

FILTER OFF.
USE ALL.
EXECUTE .

USE ALL.
COMPUTE filter_$=(item = 3).
VARIABLE LABEL filter_$ 'item = 3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wma wfe uma ufe ama afe pma pfe item state
    DISPLAY=DEFAULT
  /TABLE state [C] BY wma [SUM] + wfe [SUM] + uma [SUM] + ufe [SUM] + ama
  [SUM] + afe [SUM] + pma [SUM] + pfe [SUM]
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 3c Number of people engaged in fish farming by sex(3rd quarter), 2006'.

FILTER OFF.
USE ALL.
EXECUTE .

USE ALL.
COMPUTE filter_$=(item = 4).
VARIABLE LABEL filter_$ 'item = 4 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wma wfe uma ufe ama afe pma pfe item state
    DISPLAY=DEFAULT
  /TABLE state [C] BY wma [SUM] + wfe [SUM] + uma [SUM] + ufe [SUM] + ama
  [SUM] + afe [SUM] + pma [SUM] + pfe [SUM]
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 3d Number of people engaged in fish farming by sex(4th quarter), 2006'.

FILTER OFF.
USE ALL.
EXECUTE .


GET
  FILE='C:\FISH MERGED\Fish Pond Capacity.sav'.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=avaq ucap item DISPLAY=DEFAULT
  /TABLE item [C] BY avaq [SUM] + ucap [SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 4 Distribution of household by pond capacity,2006'.

GET
  FILE='C:\FISH MERGED\Fish production in quarters.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=qtr1 qtr2 qtr3 qtr4 itemn DISPLAY=DEFAULT
  /TABLE itemn [C] BY qtr1 [SUM] + qtr2 [SUM] + qtr3 [S][SUM] + qtr4 [S][SUM]
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 5 Quarterly fish production by type'.

GET
  FILE='C:\FISH MERGED\Quantity of fish product in quarters.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=qtr1 qtr2 qtr3 qtr4 item DISPLAY=DEFAULT
  /TABLE item [C] BY qtr1 [SUM] + qtr2 [SUM] + qtr3 [SUM] + qtr4 [SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 6a Quantity of fish products by type and quarters '.

GET
  FILE='C:\FISH MERGED\Value of fish product in quarters.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=vqtr1 vqtr2 vqtr3 vqtr4 item DISPLAY=DEFAULT
  /TABLE item [C] BY vqtr1 [SUM] + vqtr2 [SUM] + vqtr3 [SUM] + vqtr4 [SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 6b Value of fish products by type and quarters '.

GET
  FILE='C:\FISH MERGED\Fishing tools and Equipment.sav'.

compute totc = quan * ucost.
EXEC.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=quan totc itemn DISPLAY=DEFAULT
  /TABLE itemn [C] BY quan [SUM] + totc [SUM]
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 7 Expenditure by type : Quantity and Value'.

GET
  FILE='C:\FISH MERGED\Sources of Funds.sav'.

if amount < 0 check = 1.
EXEC.

USE ALL.
COMPUTE filter_$=(itemn < 8).
VARIABLE LABEL filter_$ 'itemn < 8 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=amount itemn DISPLAY=DEFAULT
  /TABLE itemn [C] BY amount [SUM]
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 8 Sources of funds, 2006'.


GET
  FILE='C:\FISH MERGED\Fish Processing Facilities.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=avaq ucap itemn DISPLAY=DEFAULT
  /TABLE itemn [C] BY avaq [SUM] + ucap [SUM]
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 9 Fish processing facilities: Available and Utilized'+
 ' capacity (kg), 2006'.

GET
  FILE='C:\FISH MERGED\Storage Facilities.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=avaq ucap itemn DISPLAY=DEFAULT
  /TABLE itemn [C] BY avaq [SUM] + ucap [SUM]
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 10 Storage facility: Availability and Utilized capacity (kg)'+
 ', 2006'.

GET
  FILE='C:\FISH MERGED\Market Channel.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=items DISPLAY=DEFAULT
  /TABLE items [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=items ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 11 Distribution of fish farmers by market channel, 2006'.

GET
  FILE='C:\FISH MERGED\Compare Season.sav'.
WEIGHT
  BY rf .
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=better same worst dontk itemn DISPLAY=DEFAULT
  /TABLE itemn [C][COUNT F40.0] BY better + same + worst + dontk
  /CATEGORIES VARIABLES=better same worst dontk [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 12 Comparison of 2006 and 2005 fishing season, 2006'.

GET
  FILE='C:\FISH MERGED\Outlook for Next Season.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=better same worst dontk itemn DISPLAY=DEFAULT
  /TABLE itemn [C][COUNT F40.0] BY better + same + worst + dontk
  /CATEGORIES VARIABLES=better same worst dontk [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=itemn ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
   TITLE= 'Table 13 Expectation for the next fishing season, 2006'.

GET
  FILE='C:\FISH MERGED\Problems Encounter.sav'.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q18 items DISPLAY=DEFAULT
  /TABLE items [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY q18
  /CATEGORIES VARIABLES=q18 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=items ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 15 Distribution of problems encountered when purchasing'+
 ' fishing tools, 2006'.

GET
  FILE='C:\FISH MERGED\Suggestion.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q19 items DISPLAY=DEFAULT
  /TABLE items [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY q19
  /CATEGORIES VARIABLES=q19 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=items ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 14 Distribution of household by way of suggestion to improve'+
 ' fishing activities in the country, 2006'.


GET
  FILE='C:\FISH MERGED\Problems of Production.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q21 items DISPLAY=DEFAULT
  /TABLE items [COUNT F40.0, COLPCT.COUNT PCT40.1] BY q21
  /CATEGORIES VARIABLES=q21 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=items ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 15a Distribution of household by problems encountered'+
 ' during production process, 2006'.

GET
  FILE='C:\FISH MERGED\Problems of Storage.sav'.
WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q22 items DISPLAY=DEFAULT
  /TABLE items [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY q22
  /CATEGORIES VARIABLES=q22 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=items ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 16 Distribution of household by problems encountered during'+
 ' storage process, 2006'.

GET
  FILE='C:\FISH MERGED\Problems of Marketing.sav'.
WEIGHT
  BY rf .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q23 items DISPLAY=DEFAULT
  /TABLE items [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY q23
  /CATEGORIES VARIABLES=q23 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=items ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 17 Distribution of household by problems encountered during'+
 ' marketing, 2006'.

VALUE LABELS
STATE 
	01 "Abia"
	02 "Adamawa"
	03 "Akwa ibom"
	04 "Anambra"
	05 "Bauchi"
	06 "Bayelsa"
	07 "Benue"
	08 "Borno"
	09 "Cross_rivers"
	10 "Delta"
	11 "Ebonyi"
	12 "Edo"
	13 "Ekiti"
	14 "Enugu"
	15 "Gombe"
	16 "Imo"
	17 "Jigawa"
	18 "Kaduna"
	19 "Kano"
	20 "Katsina"
	21 "Kebbi"
	22 "Kogi"
	23 "Kwara"
	24 "Lagos"
	25 "Nassarawa"
	26 "Niger"
	27 "Ogun"
	28 "Ondo"
	29 "Osun"
	30 "Oyo"
	31 "Plateau"
	32 "Rivers"
	33 "Sokoto"
	34 "Taraba"
	35 "Yobe"
	36 "Zamfara"
	37 "FCT"
/SECTOR
	1 "Urban"
            2 "Rural".
EXEC.
